<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>


    <parent>
        <groupId>com.ywt</groupId>
        <artifactId>ywt-parent</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>ywt-platform-outpatient-parent</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <properties>
        <service.version>1.0.0-SNAPSHOT</service.version>
        <anytxn-biz-common.version>1.0.0-SNAPSHOT</anytxn-biz-common.version>
        <commons-csv.version>1.6</commons-csv.version>
        <java-jwt.version>3.9.0</java-jwt.version>
        <ywt-platform-outpatient-base.version>1.0.0-SNAPSHOT</ywt-platform-outpatient-base.version>
        <ywt-platform-msg-base.version>1.0.0-SNAPSHOT</ywt-platform-msg-base.version>
        <ywt-platform-outpatient-common.version>1.0.0-SNAPSHOT</ywt-platform-outpatient-common.version>
        <ywt-platform-baseservice-base.version>1.0.0-SNAPSHOT</ywt-platform-baseservice-base.version>
        <ywt-platform-pay-base.version>1.0.0-SNAPSHOT</ywt-platform-pay-base.version>
        <ywt-platform-internethospital-base.version>1.0.0-SNAPSHOT</ywt-platform-internethospital-base.version>
        <ywt-platform-prescription-base.version>1.0.0-SNAPSHOT</ywt-platform-prescription-base.version>
        <ywt-platform-order-base.version>1.0.0-SNAPSHOT</ywt-platform-order-base.version>
        <ywt-biz-common.version>1.0.0-SNAPSHOT</ywt-biz-common.version>
        <slf4j-simple.version>1.7.32</slf4j-simple.version>
    </properties>

    <modules>
        <module>ywt-platform-outpatient-common</module>
        <module>ywt-platform-outpatient-base</module>
        <module>ywt-platform-outpatient-sdk</module>
        <module>ywt-platform-outpatient-web</module>
        <module>ywt-platform-outpatient-rpc</module>
        <module>consumer</module>
        <module>ywt-platform-outpatient-batch</module>
        <module>ywt-platform-outpatient-taihe-rpc</module>
    </modules>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-outpatient-sdk</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-outpatient-base</artifactId>
                <version>${ywt-platform-outpatient-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-msg-base</artifactId>
                <version>${ywt-platform-msg-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-outpatient-common</artifactId>
                <version>${ywt-platform-outpatient-common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-baseservice-base</artifactId>
                <version>${ywt-platform-baseservice-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-pay-base</artifactId>
                <version>${ywt-platform-pay-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-internethospital-base</artifactId>
                <version>${ywt-platform-internethospital-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-prescription-base</artifactId>
                <version>${ywt-platform-prescription-base.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-order-base</artifactId>
                <version>${ywt-platform-order-base.version}</version>
            </dependency>
            <!-- common 引入-->
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-biz-common</artifactId>
                <version>${ywt-biz-common.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-outpatient-web</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>ywt-platform-outpatient-rpc</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>anytxn-biz-common</artifactId>
                <version>${anytxn-biz-common.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-csv</artifactId>
                <version>${commons-csv.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.auth0/java-jwt -->
            <dependency>
                <groupId>com.auth0</groupId>
                <artifactId>java-jwt</artifactId>
                <version>${java-jwt.version}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-simple</artifactId>
                <version>${slf4j-simple.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

<dependencies>
    <dependency>
        <groupId>com.ywt</groupId>
        <artifactId>ywt-biz-common</artifactId>
        <version>${ywt-biz-common.version}</version>
    </dependency>

    <dependency>
        <groupId>org.projectlombok</groupId>
        <artifactId>lombok</artifactId>
    </dependency>

    <!--logback 引入-->
    <dependency>
        <groupId>ch.qos.logback</groupId>
        <artifactId>logback-classic</artifactId>
    </dependency>

    <!-- jdbc 驱动引入-->
    <dependency>
        <groupId>mysql</groupId>
        <artifactId>mysql-connector-java</artifactId>
    </dependency>
</dependencies>

</project>